%define version 1.44
%define release 20mdk

Name: qt
Summary: Shared library for the Qt GUI toolkit
Version: %{version}
Release: %{release}
Source0: ftp://ftp.troll.no/qt/source/%{name}-%{version}.tar.bz2
Source1: qt.fontguess
Source2: README.i18n_patches
Patch0: qt-1.43-cflags.patch.bz2
Patch1: qt-1.43-shared.patch.bz2
Patch2: qt-1.44-enablegif.patch.bz2
Patch3: qt-i18n-compat.patch.bz2
Patch4: qt-i18n-fontguess-991121.patch.bz2
Patch5: qt-i18n-compat-fix-991121.patch.bz2
Patch6: qt-1.44-configs.patch.bz2
URL: http://www.troll.no/
Copyright: distributable
Group: System/Libraries
Provides: qt-egcs-10x
Buildroot: /var/tmp/qt-buildroot
%ifarch i386 i486 i586 i686 k6 k7 sparc sparc64
BuildRequires: Mesa-devel
%endif

%package devel
Summary: Development files and documentation for the Qt GUI toolkit
Group: Development/KDE and QT

%ifarch i386 i486 i586 i686 k6 k7 sparc sparc64
%package qgl
Summary: OpenGL extension for Qt
Group: System/Libraries
%endif

%package qimgio
Summary: ImageIO extension for Qt
Group: System/Libraries

%description
Qt is a GUI software toolkit. Qt simplifies the task of writing and
maintaining GUI (graphical user interface) applications for X Window.

Qt is written in C++ and is fully object-oriented. It has everything
you need to create professional GUI applications. And it enables you
to create them quickly.

Qt is a multi-platform toolkit. When developing software with Qt, you
can run it on the X Window System (Unix/X11) or Microsoft Windows NT
and Windows 95/98. Simply recompile your source code on the platform
you want.

This package contains the shared library needed to run Qt applications,
as well as the README files for Qt.

%description devel
Contains the files necessary to develop applications using Qt: header
files, the Qt meta object compiler, man pages, HTML documentation and
example programs.  See http://www.troll.no for more information about
Qt, or file:/usr/lib/qt/html/index.html for Qt documentation in HTML.

%ifarch i386 i486 i586 i686 k6 k7 sparc sparc64
%description qgl
This package contains OpenGL extension for Qt
OpenGL extension for Qt
%endif

%description qimgio
This package contains ImageIO extension for Qt

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1 
%patch4 -p1
%patch5 -p1 
%patch6 -p1

%build
%ifarch alpha
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -frtti -fexceptions"
CXX="gcc -V `egcs-version`"
%else
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -frtti -fexceptions -fpermissive"
CXX=g++
%endif
QTDIR=`/bin/pwd` export QTDIR
make linux-g++-shared
make CXX="$CXX"
%ifarch i386 i486 i586 i686 k6 k7 sparc sparc64
cd extensions/opengl/src
# lazy to do patch.
perl -p -i -e 's|-lMesaGL -lMesaGLU|-lGL -lGLU|g' Makefile
make
cd ../../imageio/src
perl -p -i -e 's|-lMesaGL -lMesaGLU|-lGL -lGLU|g' Makefile
make
#cd ../../xt/src
#make
cd ../../..
%else
# xt and nsplugin don't compile
for d in imageio; do
   (cd extensions/$d/src; make QTDIR=../../..)
done
%endif

%install
rm -fr %{buildroot}

mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/lib 
mkdir -p $RPM_BUILD_ROOT/usr/man
install -s -m 755 bin/moc $RPM_BUILD_ROOT/usr/bin/moc
cp lib/libqt.so.%{version} $RPM_BUILD_ROOT/usr/lib
ln -sf libqt.so.%{version} $RPM_BUILD_ROOT/usr/lib/libqt.so.1
ln -sf libqt.so.1 $RPM_BUILD_ROOT/usr/lib/libqt.so
cp lib/libqimgio.so.0.1 $RPM_BUILD_ROOT/usr/lib
ln -sf libqimgio.so.0.1 $RPM_BUILD_ROOT/usr/lib/libqimgio.so.0
ln -sf libqimgio.so.0 $RPM_BUILD_ROOT/usr/lib/libqimgio.so
%ifarch i386 i486 i586 i686 k6 k7 sparc sparc64
cp lib/libqgl.so.1.0 $RPM_BUILD_ROOT/usr/lib
ln -sf libqgl.so.1.0 $RPM_BUILD_ROOT/usr/lib/libqgl.so.1
ln -sf libqgl.so.1 $RPM_BUILD_ROOT/usr/lib/libqgl.so
%endif

cp -fR man/. $RPM_BUILD_ROOT/usr/man
mkdir -p $RPM_BUILD_ROOT/usr/lib/qt $RPM_BUILD_ROOT/usr/include/qt 
mkdir -p $RPM_BUILD_ROOT/usr/lib/qt/html $RPM_BUILD_ROOT/usr/lib/qt/tutorial 
mkdir -p $RPM_BUILD_ROOT/usr/lib/qt/examples
cp -fR html $RPM_BUILD_ROOT/usr/lib/qt
strip tutorial/*/* || :
strip examples/*/* || :
cp -fR tutorial $RPM_BUILD_ROOT/usr/lib/qt
cp -fR examples $RPM_BUILD_ROOT/usr/lib/qt
cp -fR include/. $RPM_BUILD_ROOT/usr/include/qt
for a in $RPM_BUILD_ROOT/usr/lib/qt/*/*/Makefile ; do
  sed 's-^SYSCONF_MOC.*-SYSCONF_MOC		= /usr/bin/moc-' < $a > ${a}.2
  mv -v ${a}.2 $a
done
find $RPM_BUILD_ROOT/usr/man -type f -exec bzip2 -9 {} \;
rm $RPM_BUILD_ROOT/usr/lib/qt/*/*/*.o
chmod -R a+r $RPM_BUILD_ROOT/usr/lib/libqt.so* $RPM_BUILD_ROOT/usr/lib/qt

mkdir $RPM_BUILD_ROOT/etc
cp -f $RPM_SOURCE_DIR/qt.fontguess $RPM_BUILD_ROOT/etc/qt.fontguess

cp $RPM_SOURCE_DIR/README.i18n_patches .

%post -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc ANNOUNCE LICENSE README.QT FAQ PORTING README changes-1.40 changes-1.41 changes-1.42 changes-1.43 changes-1.44
%doc README.i18n_patches
/usr/lib/libqt.so.*
%config /etc/qt.fontguess

%files devel
%defattr(-,root,root)
/usr/bin/moc
/usr/lib/libqt.so
/usr/man/man1/moc.1*
/usr/man/man3/*.3qt*
/usr/lib/qt/
/usr/include/qt/

%ifarch i386 i486 i586 i686 k6 k7 sparc sparc64
%files qgl
%defattr(-,root,root)
/usr/lib/libqgl.so*
%endif

%files qimgio
%defattr(-,root,root)
/usr/lib/libqimgio.so*

%changelog

* Sat Apr 08 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 1.44-20mdk
- alpha fix

* Fri Jan 28 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.44-19mdk
- rebuild the 1.44-19ltk version done by Taik-kyun Lim that included the
  i18n patches. 

* Thu Jan 20 2000 Taik-kyun Lim <mongmong@milab.yonsei.ac.kr> 1.44-19ltk
- Add i18n patch for Korean (2Byte Character Support, CJK)

* Mon Jan 17 2000 Francis Galiegue <francis@mandrakesoft.com>
- qgl now builds on sparcs

* Thu Jan 13 2000 Pixel <pixel@mandrakesoft.com>
- fix build on alpha (egcs)

* Thu Jan 13 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.44-17mdk
- fixed non-intel build.

* Tue Jan 11 2000 Pixel <pixel@mandrakesoft.com>
- qgl do not wanna work for alpha => ifarch'ed out (gnark)
- remove the requires lesstif

* Fri Dec 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix build with new Mesa.

* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Finally an update.
- Fix build as user.

* Fri Aug  6 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- fix compilation with {p,}gcc 2.95

* Wed Jul 21 1999 Gregus <gregus@etudiant.net>
- Added fr locale

* Tue May 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for the new environement.
- Removing qxt, linux-mandrake don't include lesstif.

* Wed May 05 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Add enablegif patch from RH 6.0

* Mon Apr 26 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- Handle RPM_OPT_FLAGS
- bzip2 man pages
- Add qgl, qimgio, qxt packages

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Mon Mar 15 1999 Preston Brown <pbrown@redhat.com>
- upgrade to qt 1.44.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Jan 19 1999 Preston Brown <pbrown@redhat.com>
- moved includes to /usr/include/qt

* Mon Jan 04 1999 Preston Brown <pbrown@redhat.com>
- made setup phase silent.

* Fri Dec 04 1998 Preston Brown <pbrown@redhat.com>
- upgraded to qt 1.42, released today.

* Tue Dec 01 1998 Preston Brown <pbrown@redhat.com>
- took Arnt's RPM and made some minor changes for Red Hat.
